# Animation

Animation : `Instance`

## Overview

The animation Object references an animation's Asset Id

For AnimationTrack to replicate correctly, an animator must be a child of a humanoid. Animations started on a player's client are automatically replicated to the server and other clients.

## Properties

### AnimationId

`string`

Sets the Asset Id of the animation referenced by the Animation Object.

The Asset Id is generated when the animation is imported.

#### Code Samples

```lua
local Players = game:GetService("Players")
local LocalPlayer = Players.LocalPlayer

repeat wait() until LocalPlayer.Character

local Character = LocalPlayer.Character
local Humanoid = Character:WaitForChild("Humanoid")

local Animation = Instance.new("Animation")
Animation.AnimationId = "ovdrassetid://18850100" -- WinAnimation01

local Animator = Humanoid:FindFirstChild("Animator")
local AnimationTrack = Animator:LoadAnimation(Animation)

AnimationTrack:Play()
```

## Methods

## Events

## See also

{% content-ref url="/pages/YK5NZVV1FAIHbrQSOuHF" %}
[Character Animation](/manual/studio-manual/character/character-animation.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/animation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
